=== debian/control ===
Source: libdsme-meecolay
Section: misc
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Semi Malinen <semi.malinen@nokia.com>
Uploaders: Ismo Laitinen <ismo.laitinen@nokia.com>, David Weinehall <david.weinehall@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 pkg-config,
 libglib2.0-dev, maemo-optify
Standards-Version: 3.7.2

Package: libdsme0.2.0-meecolay
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: DSME dsmesock dynamic library
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0.2.0-meecolay-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libdsme0.2.0-meecolay (= ${binary:Version})
Description: DSME dsmesock dynamic library (with debug symbols)
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0.2.0-meecolay-dev
Section: libdevel
Architecture: any
Depends: libdsme0.2.0-meecolay (= ${binary:Version})
Description: Development files for dsme
 This package contains headers and static libraries needed to develop programs
 that want to communicate with the Device State Management Entity.
